Update product
patch
/v1/products/{product_id}Update an existing product for the authenticated merchant.
Exemplo
curl -X PATCH "https://api.ya.onl/v1/products/{product_id}" \
-H "X-API-Key: yv_live_v1_…" \
-H "Content-Type: application/json" \
-d '{}'Parâmetros
product_idintegerpathUnique product identifier
Corpo da requisição
namestring | nullProduct name
descriptionstring | nullShort product description
characteristicsstring | nullDetailed product description or specifications
statusstring | nullProduct status
Respostas
200Successful Response
401Invalid or missing API key
403API key lacks the
products:write scope404Product not found
422Validation Error
429Rate limit exceeded
